Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1734489 - RFE: systemd-tmpfiles does not allow specifiers in user/group fields
Summary: RFE: systemd-tmpfiles does not allow specifiers in user/group fields
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 30
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 17:06 UTC by Frank Ansari
Modified: 2020-05-26 18:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:39:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Ansari 2019-07-30 17:06:42 UTC
Description of problem:
I create a config file for systemd-tmpfiles and place it here:

~/.config/user-tmpfiles.d/podman.conf 

Now I put in this line in the file

d /run/user/%U/podman 700 %u %u

and run

systemctl enable --user systemd-tmpfiles-setup

After rebooting my PC I find that this is not working. No file has been created.

When I write it like this it works:

d /run/user/%U/podman 700 fansari fansari


According to this documentation:

https://www.freedesktop.org/software/systemd/man/tmpfiles.d.html

I expected %u to be resolved as user name.

The weird thing is: %U is not an issue. This is working.


Version-Release number of selected component (if applicable):
241

How reproducible:
see above

Steps to Reproduce:
1.
2.
3.

Actual results:
The tmpfile is not created using the %u specifier

Expected results:
The tmpfile should be created using specifiers.

Additional info:

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-11-22 13:10:43 UTC
Specifier expansion is not supported in the user/group fields. We could enable
that, but I don't think it'll be very useful.

You can just use "-", it'll have the same effect.

Comment 2 Ben Cotton 2020-04-30 20:13:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 18:39:56 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.